version: '3.7'

name: lamp

services: 
  db:
    image: mariadb:latest
    container_name: db_lamp
    restart: always
    volumes:
      - db_data:/var/lib/mysql
      - ./backups:/backups
    environment:
      MYSQL_DATABASE: test
      MYSQL_USER: tenjustin 
      MYSQL_PASSWORD: manon1902
      MYSQL_ALLOW_EMPTY_PASSWORD: 'no'
      MYSQL_ROOT_PASSWORD: root

  web:
    image: "php:7.4-apache"
    container_name: apache2
    restart: always
    depends_on: ['db']
    ports: ['8083:80']
    links: ['db:db']
    volumes:
      - './www:/var/www/html'
    environment:
      MYSQL_DB_HOST: db
      MYSQL_DATABASE: test
      MYSQL_USER: tenjustin 
      MYSQL_PASSWORD: manon1902

  phpmyadmin:
    image: phpmyadmin/phpmyadmin:4.7
    container_name: phpmyadmin
    restart: always
    depends_on: ['db']
    ports: ['1200:80']
    links: ['db:db']
    environment:
      - MYSQL_DB_HOST=db
      - MYSQL_USER=tenjustin 
      - MYSQL_PASSWORD=manon1902



volumes:
  db_data: {}